JmolApplet
Date: 2019-10-22

org.jmol.applet

## Class JmolApplet

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Panel
      - - java.applet.Applet
        - - javax.swing.JApplet
          - - org.jmol.applet.AppletWrapper
            - - org.jmol.applet.JmolApplet

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.RootPaneContainer, JmolAppletInterface, JmolSyncInterface

      public class JmolApplet
      extends AppletWrapper
      implements JmolAppletInterface

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JApplet

      `javax.swing.JApplet.AccessibleJApplet`

    - ### Nested classes/interfaces inherited from class java.applet.Applet

      `java.applet.Applet.AccessibleApplet`

    - ### Nested classes/interfaces inherited from class java.awt.Panel

      `java.awt.Panel.AccessibleAWTPanel`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static java.lang.String[]` | `preloadClasses`

    - ### Fields inherited from class org.jmol.applet.AppletWrapper

      `wrappedApplet`

    - ### Fields inherited from class javax.swing.JApplet

      `accessibleContext, rootPane, rootPaneCheckingEnabled`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JmolApplet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.Object>` | `getJSpecViewProperty(java.lang.String infoType)`
    `int` | `getModelIndexFromId(java.lang.String id)`
    `java.lang.Object` | `getProperty(java.lang.String infoType)`
    `java.lang.Object` | `getProperty(java.lang.String infoType, java.lang.String paramInfo)`
    `java.lang.String` | `getPropertyAsJSON(java.lang.String infoType)`
    `java.lang.String` | `getPropertyAsJSON(java.lang.String infoType, java.lang.String paramInfo)`
    `java.lang.String` | `getPropertyAsString(java.lang.String infoType)`
    `java.lang.String` | `getPropertyAsString(java.lang.String infoType, java.lang.String paramInfo)`
    `java.lang.String` | `loadDOMNode(java.lang.Object DOMNode)`
    `java.lang.String` | `loadInline(java.lang.String strModel)` Deprecated.
    `java.lang.String` | `loadInline(java.lang.String[] strModels)` Deprecated.
    `java.lang.String` | `loadInline(java.lang.String[] strModels, java.lang.String script)` Deprecated.
    `java.lang.String` | `loadInline(java.lang.String strModel, java.lang.String script)` Deprecated.
    `java.lang.String` | `loadInlineArray(java.lang.String[] strModels, java.lang.String script, boolean isAppend)`
    `java.lang.String` | `loadInlineString(java.lang.String strModel, java.lang.String script, boolean isAppend)`
    `void` | `notifyAudioEnded(java.lang.Object htParams)`
    `void` | `register(java.lang.String id, JmolSyncInterface jsi)`
    `void` | `registerApplet(java.lang.String id, java.lang.String fullName)`
    `void` | `script(java.lang.String script)`
    `java.lang.String` | `scriptCheck(java.lang.String script)`
    `java.lang.String` | `scriptNoWait(java.lang.String script)`
    `java.lang.String` | `scriptWait(java.lang.String script)`
    `java.lang.String` | `scriptWait(java.lang.String script, java.lang.String statusParams)`
    `java.lang.String` | `scriptWaitOutput(java.lang.String script)`
    `java.lang.Object` | `setStereoGraphics(boolean isStereo)`
    `void` | `syncScript(java.lang.String script)`

    - ### Methods inherited from class org.jmol.applet.AppletWrapper

      `destroy, getAppletInfo, getNextPreloadClassName, handleEvent, init, isSigned, paint, repaintClock, update`

    - ### Methods inherited from class javax.swing.JApplet

      `addImpl, createRootPane, getAccessibleContext, getContentPane, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isRootPaneCheckingEnabled, paramString, remove, repaint, setContentPane, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler`

    - ### Methods inherited from class java.applet.Applet

      `getAppletContext, getAudioClip, getAudioClip, getCodeBase, getDocumentBase, getImage, getImage, getLocale, getParameter, getParameterInfo, isActive, isValidateRoot, newAudioClip, play, play, resize, resize, setStub, showStatus, start, stop`

    - ### Methods inherited from class java.awt.Panel

      `addNotify`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getInsets, getLayout, getListeners, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, removeAll, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, revalidate, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.jmol.api.JmolAppletInterface

      `destroy, getAppletInfo, handleEvent`

- - ### Field Detail

    - #### preloadClasses

          private static final java.lang.String[] preloadClasses

  - ### Constructor Detail

    - #### JmolApplet

          public JmolApplet()

  - ### Method Detail

    - #### getPropertyAsString

          public java.lang.String getPropertyAsString(java.lang.String infoType)

      Specified by:
        `getPropertyAsString` in interface `JmolAppletInterface`

    - #### getPropertyAsString

          public java.lang.String getPropertyAsString(java.lang.String infoType,
                                                      java.lang.String paramInfo)

      Specified by:
        `getPropertyAsString` in interface `JmolAppletInterface`

    - #### getPropertyAsJSON

          public java.lang.String getPropertyAsJSON(java.lang.String infoType)

      Specified by:
        `getPropertyAsJSON` in interface `JmolAppletInterface`

    - #### getPropertyAsJSON

          public java.lang.String getPropertyAsJSON(java.lang.String infoType,
                                                    java.lang.String paramInfo)

      Specified by:
        `getPropertyAsJSON` in interface `JmolAppletInterface`

    - #### getJSpecViewProperty

          public java.util.Map<java.lang.String,java.lang.Object> getJSpecViewProperty(java.lang.String infoType)

      Specified by:
        `getJSpecViewProperty` in interface `JmolSyncInterface`

    - #### getProperty

          public java.lang.Object getProperty(java.lang.String infoType,
                                              java.lang.String paramInfo)

      Specified by:
        `getProperty` in interface `JmolAppletInterface`

    - #### getProperty

          public java.lang.Object getProperty(java.lang.String infoType)

      Specified by:
        `getProperty` in interface `JmolAppletInterface`

    - #### loadInlineArray

          public java.lang.String loadInlineArray(java.lang.String[] strModels,
                                                  java.lang.String script,
                                                  boolean isAppend)

      Specified by:
        `loadInlineArray` in interface `JmolAppletInterface`

    - #### loadInlineString

          public java.lang.String loadInlineString(java.lang.String strModel,
                                                   java.lang.String script,
                                                   boolean isAppend)

      Specified by:
        `loadInlineString` in interface `JmolAppletInterface`

    - #### loadInline

          @Deprecated
          public java.lang.String loadInline(java.lang.String strModel)

      Deprecated.
      Specified by:
        `loadInline` in interface `JmolAppletInterface`
      Parameters:
        `strModel` -
      Returns:
        error or null

    - #### loadInline

          @Deprecated
          public java.lang.String loadInline(java.lang.String strModel,
                                                         java.lang.String script)

      Deprecated.
      Specified by:
        `loadInline` in interface `JmolAppletInterface`
      Parameters:
        `strModel` -
        `script` -
      Returns:
        error or null

    - #### loadInline

          @Deprecated
          public java.lang.String loadInline(java.lang.String[] strModels)

      Deprecated.
      Specified by:
        `loadInline` in interface `JmolAppletInterface`
      Parameters:
        `strModels` -
      Returns:
        error or null

    - #### loadInline

          @Deprecated
          public java.lang.String loadInline(java.lang.String[] strModels,
                                                         java.lang.String script)

      Deprecated.
      Specified by:
        `loadInline` in interface `JmolAppletInterface`
      Parameters:
        `strModels` -
        `script` -
      Returns:
        error or null

    - #### loadDOMNode

          public java.lang.String loadDOMNode(java.lang.Object DOMNode)

      Specified by:
        `loadDOMNode` in interface `JmolAppletInterface`

    - #### script

          public void script(java.lang.String script)

      Specified by:
        `script` in interface `JmolAppletInterface`

    - #### syncScript

          public void syncScript(java.lang.String script)

      Specified by:
        `syncScript` in interface `JmolSyncInterface`

    - #### setStereoGraphics

          public java.lang.Object setStereoGraphics(boolean isStereo)

      Specified by:
        `setStereoGraphics` in interface `JmolAppletInterface`

    - #### scriptNoWait

          public java.lang.String scriptNoWait(java.lang.String script)

      Specified by:
        `scriptNoWait` in interface `JmolAppletInterface`

    - #### scriptCheck

          public java.lang.String scriptCheck(java.lang.String script)

      Specified by:
        `scriptCheck` in interface `JmolAppletInterface`

    - #### scriptWait

          public java.lang.String scriptWait(java.lang.String script)

      Specified by:
        `scriptWait` in interface `JmolAppletInterface`

    - #### scriptWait

          public java.lang.String scriptWait(java.lang.String script,
                                             java.lang.String statusParams)

      Specified by:
        `scriptWait` in interface `JmolAppletInterface`

    - #### scriptWaitOutput

          public java.lang.String scriptWaitOutput(java.lang.String script)

      Specified by:
        `scriptWaitOutput` in interface `JmolAppletInterface`

    - #### registerApplet

          public void registerApplet(java.lang.String id,
                                     java.lang.String fullName)

    - #### register

          public void register(java.lang.String id,
                               JmolSyncInterface jsi)

      Specified by:
        `register` in interface `JmolSyncInterface`

    - #### getModelIndexFromId

          public int getModelIndexFromId(java.lang.String id)

      Specified by:
        `getModelIndexFromId` in interface `JmolAppletInterface`
      Parameters:
        `id` - some_id, filename#id, or ~fileNo.modelNo added ".basemodel" indicates to get the first model in a series from a JDX-MOL file.
      Returns:
        model index if found; -2 if file found but model not found -2 if no file indicated and no model found -1 if no such file

    - #### notifyAudioEnded

          public void notifyAudioEnded(java.lang.Object htParams)

      Specified by:
        `notifyAudioEnded` in interface `JmolAppletInterface`